package com.zfire.jiasm.syncdata.download.other.repair;

import lombok.extern.slf4j.Slf4j;

/** 新做的接口
 * 维修转结算查询最终结果
 */
@Slf4j
// @Component
public class RepairSettlementStatus {
    /*
    @Resource
    OtherDownService otherDownService;
    @Resource
    SyncQuerySettlementStatusService syncQuerySettlementStatusService;


    @Scheduled(fixedDelayString = "${wxzjscx}")
    public void query(){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        if (1==1){
            return;
        }
        // 提取需要同步下载的数据
        List<SyncQuerySettlementStatus> tdqts = syncQuerySettlementStatusService.lambdaQuery()
                .eq(SyncQuerySettlementStatus::getOrderType,1)
                .eq(SyncQuerySettlementStatus::getSynStatus,0)
                .list();
        log.info("开始查询维修转结算最终结果: \uF0B7{}",sdf.format(new Date()));

        for (SyncQuerySettlementStatus item:tdqts){
            try{
                otherDownService.repairSettlementStatus(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("查询维修转结算最终结果【" + item.getSettlementId() +"】状态失败");
            }
        }
        log.info("查询维修转结算最终结果结束: \uF0B7{}",sdf.format(new Date()));
    }
*/




}
